using System.Collections.Generic;
using System.Threading.Tasks;
using GxPress.Entity.WorkProcess;
using Datory;

namespace GxPress.Repository.Interface.WorkProcess
{
    public interface IProcessRequestLimitRepository : IRepository
    {
        Task<int> InsertAsync(ProcessRequestLimit limit);

        Task DeleteByProcessIdAsync(int processId);

        Task<IEnumerable<ProcessRequestLimit>> GetListAsync(int processId);

        Task<IEnumerable<int>> GetProcessIdListByDepartmentIdAsync(int departmentId);
    }
}